%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         zettio
%global repo            weave
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          707041c7d0cc60a6f75e0ba63efe694ee1258b20
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           %{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Virtual network creator for connecting docker containers
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
# This package requires docker, hence isn't noarch
ExclusiveArch:  x86_64
# Weave has been tested with 0.9.1 to 1.2.0
Requires:       docker >= 0.9.1

%description
Weave can traverse firewalls and operate in partially connected networks.
Traffic can be encrypted, allowing hosts to be connected across an untrusted
network.

With weave you can easily construct applications consisting of multiple
containers, running anywhere.

Weave works alongside Docker's existing (single host) networking
capabilities, so these can continue to be used by containers.

%package -n golang-%{provider}-%{project}-%{repo}-devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(code.google.com/p/go.crypto/nacl/box) >= 0-0.4
BuildRequires:  golang(code.google.com/p/go.crypto/nacl/secretbox) >= 0-0.4
BuildRequires:  golang(code.google.com/p/gopacket) >= 0-0.2
BuildRequires:  golang(code.google.com/p/gopacket/layers) >= 0-0.2
BuildRequires:  golang(code.google.com/p/gopacket/pcap) >= 0-0.2
BuildRequires:  golang(code.google.com/p/go-bit/bit)
Requires:       golang >= 1.2.1-3
Summary:        Virtual network creator for connecting docker containers
Provides:       golang(%{import_path}) = %{version}-%{release}

%description -n golang-%{provider}-%{project}-%{repo}-devel
Weave can traverse firewalls and operate in partially connected networks.
Traffic can be encrypted, allowing hosts to be connected across an untrusted
network.

With weave you can easily construct applications consisting of multiple
containers, running anywhere.

Weave works alongside Docker's existing (single host) networking
capabilities, so these can continue to be used by containers.

This package contains library source intended for building other packages
which use %{repo}.

%prep
%setup -qn %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}%{gopath}/src/%{import_path}
cp -pav *.go %{buildroot}%{gopath}/src/%{import_path}/

# Install weave executable
install -d %{buildroot}%{_bindir}
install -p -m 755 weaver/%{repo} %{buildroot}%{_bindir}

%check
GOPATH=%{gopath}:%{buildroot}%{gopath} go test %{import_path}

%files
%doc LICENSE NOTICE README.md docs/{architecture,testing}.txt
%{_bindir}/%{repo}

%files -n golang-%{provider}-%{project}-%{repo}-devel
%doc LICENSE NOTICE README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go

%changelog
* Thu Sep 25 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.git707041c
- Initial package
